version: "3.3"

services:
  postgres:
    image: postgres:13
    environment:
      - POSTGRES_DB=${DB_NAME}
      - POSTGRES_USER=${DB_USER}
      - POSTGRES_PASSWORD=${DB_PASSWORD}
    ports:
      - ${DB_PORT}:${DB_PORT}
    volumes:
      - ./postgres_data:/var/lib/postgresql/data
  pgadmin:
    image: dpage/pgadmin4
    environment:
      - PGADMIN_DEFAULT_EMAIL=${PG_EMAIL}
      - PGADMIN_DEFAULT_PASSWORD=${PG_PASSWORD}
    ports:
      - ${PG_PORT}:${PG_REFPORT}
  # mysql:
  #   image: mysql:5
  #   environment:
  #     - MYSQL_DATABASE=${DB_NAME}
  #     - MYSQL_USER=admin
  #     - MYSQL_ROOT_PASSWORD=${DB_PASSWORD}
  #     - MYSQL_PORT=3306
  #   ports:
  #     - 3306:3306
  #   volumes:
  #     - ./mysql_data:/var/lib/mysql
  # phpmyadmin:
  #   image: phpmyadmin/phpmyadmin
  #   environment:
  #     - MYSQL_ROOT_PASSWORD=${DB_PASSWORD}
  #     - PMA_HOST=mysql
  #   ports:
  #     - 8080:80
